# Uses of Class
org.eclipse.ltk.core.refactoring.participants.MoveProcessor

Packages that use MoveProcessor
Package
Description
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.

## Uses of MoveProcessor in org.eclipse.ltk.core.refactoring.participants

Methods in org.eclipse.ltk.core.refactoring.participants that return MoveProcessor
Modifier and Type
Method
Description
`MoveProcessor`
MoveRefactoring.`getMoveProcessor()`
Returns the move processor associated with this move refactoring.
Constructors in org.eclipse.ltk.core.refactoring.participants with parameters of type MoveProcessor
Modifier
Constructor
Description
``
`MoveRefactoring(MoveProcessor processor)`
Creates a new move refactoring with the given move processor.